summaryrefslogtreecommitdiffstats
path: root/package/network/config/firewall3/files/ipv6-ula-border.sh
diff options
context:
space:
mode:
authorcyrus <cyrus@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-04-24 14:17:24 +0000
committercyrus <cyrus@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-04-24 14:17:24 +0000
commit10ca3f076590d9025840c0c479e8673da4fd18bb (patch)
tree799f7184a1e9c5af0f7987e62c2c7ddbbf9fbfd1 /package/network/config/firewall3/files/ipv6-ula-border.sh
parentad3dd3bf5c341de1ee850dd142128245bf5a66c6 (diff)
firewall3: Make IPv6 ULA-Border generation dynamic
This fixes working behind another router which gives out ULAs. git-svn-id: svn://svn.openwrt.org/openwrt/trunk@36416 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/network/config/firewall3/files/ipv6-ula-border.sh')
-rw-r--r--package/network/config/firewall3/files/ipv6-ula-border.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/package/network/config/firewall3/files/ipv6-ula-border.sh b/package/network/config/firewall3/files/ipv6-ula-border.sh
new file mode 100644
index 000000000..ebd23a985
--- /dev/null
+++ b/package/network/config/firewall3/files/ipv6-ula-border.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+ULA_PREFIX=$(uci -q get network.globals.ula_prefix)
+[ -n "$ULA_PREFIX" ] || exit 0
+
+ip6tables -I delegate_forward -s $ULA_PREFIX -m comment --comment "Enforce ULA-Border" -j zone_wan_dest_REJECT
+ip6tables -I delegate_forward -d $ULA_PREFIX -m comment --comment "Enforce ULA-Border" -j zone_wan_dest_REJECT